package com.gxzc.zen.common.config.json.annotation

import kotlin.reflect.KClass

/**
 * Json注解,用于返回值的动态过滤
 * @author NorthLan
 * @date 2018/3/12
 * @url https://noahlan.com
 */
@Target(AnnotationTarget.FUNCTION)
@Retention(AnnotationRetention.RUNTIME)
@Repeatable
annotation class ZenJsonFilter(val type: KClass<out Any>, val include: Array<String> = [], val filter: Array<String> = [])