package com.gxzc.zen.common.config.json

import org.springframework.context.annotation.Configuration
import org.springframework.web.method.support.HandlerMethodReturnValueHandler
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter

/**
 * 使Spring boot处理自定义jsonhandler
 * @author NorthLan
 * @date 2018/3/12
 * @url https://noahlan.com
 */
@Configuration
class ZenJsonConfigurer : WebMvcConfigurerAdapter() {
    override fun addReturnValueHandlers(returnValueHandlers: MutableList<HandlerMethodReturnValueHandler>) {
        returnValueHandlers.add(ZenJsonResultHandler())
    }
}